// **********************************************************************
// ie_types.h - Compiler independent types for ePadId-LCD ARM-9 firmware
// 
// NOTE: For PC development, the proper file is located in common/IEUSTools/inc
//
#ifndef __IE_TYPES_H__
#define __IE_TYPES_H__

/**
Declare data types for Interlink usage for consistency across
compilers
*/

typedef unsigned short INT16U;
typedef short INT16S;
typedef unsigned char INT8U;
typedef signed char INT8S;
typedef unsigned int INT32U;
typedef signed int INT32S;

typedef INT8U   BYTE;
typedef INT16U  WORD;

/**
Define a structure to allow easier individual acess to bytes
of a two byte variable. The 16-bit variables can then be
declared as the type PB_INT16U and the individual bytes can
be accessed as bData[].
*/
typedef union {
    INT16U iData;
    INT8U  bData[2];
} B_INT16U, *PB_INT16U;

#endif

